summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-strategy/defcon-demo
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-strategy/defcon-demo')
-rw-r--r--games-strategy/defcon-demo/Manifest2
-rw-r--r--games-strategy/defcon-demo/defcon-demo-1.60.ebuild101
-rwxr-xr-xgames-strategy/defcon-demo/files/defcon15
-rw-r--r--games-strategy/defcon-demo/metadata.xml8
4 files changed, 126 insertions, 0 deletions
diff --git a/games-strategy/defcon-demo/Manifest b/games-strategy/defcon-demo/Manifest
new file mode 100644
index 00000000000..da6de0c4d97
--- /dev/null
+++ b/games-strategy/defcon-demo/Manifest
@@ -0,0 +1,2 @@
+DIST defcon_1.6-1_amd64.deb 62377900 SHA256 52142cf3684f054f2449bb0dae96a3b9e0a9d5bb003ea479b25f8a55daffcb26 SHA512 b71aacc3cd94eec8f1ea19ee03d8098fcdd96191c12d614f55076826ef0bb44c8ada66dfd3df7d94d042b33bdd8fa5f0f58e69fc980d6213c320ab4ce2d682a9 WHIRLPOOL 8c9813764b412f4b2d2f1d75530e60800e49b98668bce11e931d898404ec10d45bc42e3c5478154b696c41b9dff93bcb0c72817ece38aedb50cc11bbc53265f1
+DIST defcon_1.6-1_i386.deb 62311684 SHA256 e61f1ebe93eaf821b6313b37e080a76a9444c2c46afc8e2386a0f2b644b8d1d3 SHA512 0e60e8fbca2f3046228b656990e3adb471de4f64a99d435c96b1e5a8cc49b1250c48ceeb19a4bcb58354e750398de2559256d26a38b20286dec3c0ce7f97ebb8 WHIRLPOOL 0d5fed7be50abaa2dd29434aae986bb63851a208f394b950a55c89d02cc36faf571209730641842a7af1cde0f33501cd6cb0dcb33c8287ef591d5675c67d3cbe
diff --git a/games-strategy/defcon-demo/defcon-demo-1.60.ebuild b/games-strategy/defcon-demo/defcon-demo-1.60.ebuild
new file mode 100644
index 00000000000..174b6fcb05c
--- /dev/null
+++ b/games-strategy/defcon-demo/defcon-demo-1.60.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils toolchain-funcs gnome2-utils games
+
+MY_PN=defcon
+MY_PV=${PV:0:3}
+MY_PVR=1
+MY_P=defcon_${MY_PV}-${MY_PVR}
+
+DESCRIPTION="Global thermonuclear war simulation with multiplayer support"
+HOMEPAGE="http://www.introversion.co.uk/defcon/"
+SRC_URI="x86? ( http://www.introversion.co.uk/defcon/downloads/${MY_P}_i386.deb )
+ amd64? ( http://www.introversion.co.uk/defcon/downloads/${MY_P}_amd64.deb )"
+
+LICENSE="Introversion"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="+system-libs"
+RESTRICT="mirror strip"
+
+# glibc discussion:
+# http://forums.introversion.co.uk/defcon/viewtopic.php?t=4016
+RDEPEND="
+ media-libs/libogg
+ media-libs/libvorbis
+ >=sys-libs/glibc-2.3
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libXext
+ x11-libs/libXdmcp
+ system-libs? ( media-libs/libsdl )"
+DEPEND=""
+
+QA_PREBUILT="${GAMES_PREFIX_OPT:1}/${PN}/lib/${MY_PN}.bin.x86"
+
+S=${WORKDIR}/usr/local/games/${MY_PN}
+
+src_unpack() {
+ default
+ unpack ./data.tar.gz
+
+ cd "${S}" || die
+ # maintain compatibility with old installation/script
+ [[ -e lib64 ]] && { mv lib64 lib || die ;}
+ [[ -e ${MY_PN}.bin.x86_64 ]] && { mv ${MY_PN}.bin.x86_64 ${MY_PN}.bin.x86 || die ;}
+}
+
+src_prepare() {
+ # FindPath scripts are ugly and unnecessary
+ if use system-libs ; then
+ rm -f lib/lib*
+ fi
+ sed \
+ -e "s:GAMEDIR:${GAMES_PREFIX_OPT}/${PN}:g" \
+ "${FILESDIR}"/${MY_PN} > "${T}"/${MY_PN} \
+ || die "sed failed"
+ echo "int chdir(const char *d) { return 0; }" > chdir.c \
+ || die "echo failed"
+}
+
+src_compile() {
+ echo "$(tc-getCC) ${CFLAGS} ${LDFLAGS} -fPIC -shared -o lib/chdir.so chdir.c"
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} -fPIC -shared -o lib/chdir.so chdir.c || die
+}
+
+src_install() {
+ local dir=${GAMES_PREFIX_OPT}/${PN}
+
+ insinto "${dir}/lib"
+ doins *.dat
+
+ exeinto "${dir}"/lib
+ doexe lib/*.so
+ doexe ${MY_PN}.bin.x86
+
+ doicon -s 128 ${MY_PN}.png
+
+ # Can be upgraded to full version, so is not installed as "demo"
+ dogamesbin "${T}"/${MY_PN}
+ make_desktop_entry ${MY_PN} "Defcon"
+
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+ elog "Screenshots will appear in ~/.${MY_PN}/lib"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-strategy/defcon-demo/files/defcon b/games-strategy/defcon-demo/files/defcon
new file mode 100755
index 00000000000..6e9dd3b5307
--- /dev/null
+++ b/games-strategy/defcon-demo/files/defcon
@@ -0,0 +1,15 @@
+#!/bin/sh
+if [ -n "GAMEDIR/lib" ] ; then
+ if [ "${LD_LIBRARY_PATH+set}" = "set" ] ; then
+ export LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:GAMEDIR/lib"
+ else
+ export LD_LIBRARY_PATH="GAMEDIR/lib"
+ fi
+fi
+if [[ ! -e ~/.defcon/lib ]] ; then
+ mkdir -p ~/.defcon/lib \
+ && cd ~/.defcon/lib \
+ && ln -s "GAMEDIR"/lib/* .
+fi
+cd ~/.defcon/lib
+LD_PRELOAD="GAMEDIR/lib/chdir.so" exec ./defcon.bin.x86 "$@"
diff --git a/games-strategy/defcon-demo/metadata.xml b/games-strategy/defcon-demo/metadata.xml
new file mode 100644
index 00000000000..1de86a52478
--- /dev/null
+++ b/games-strategy/defcon-demo/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+ <use>
+ <flag name="system-libs">Use system libraries instead of the ones included in the upstream distribution.</flag>
+ </use>
+</pkgmetadata>